# Reproducibility in AI Research

## Intro
The task is to review AI research in top conferences and document whether it is possible to reproduce the research using the information in the published papers alone.

## How to Run the Analysis
The analysis and sample selection code is contained in iPython Jupyter notebooks. Refer to Jupyter project to install Jupyter notebook. The files should be runnable by starting Jupyter notebook and navigating to the src folder in this project. The packages used when running the analysis are stated at the top of the analysis notebook. For the sample selection code, it should be apparent by checking the imports, sadly it was run without noting the version numbers.

If issues with Jupyter notebook arise, the notebooks can also be viewed at the github repository here: https://github.com/sidgek/msoppgave

## Overview
Source files can be found under the src directory.  
Any data used or generated can be found in the data directory.  
The figures saved by the analysis notebook are saved in doc/report/fig due to the project being written in LaTeX in the same directory structure. They should also be viewable by opening the analysis notebook.

## Contact Info
Sigbjørn Kjensmo: sigbjokj@stud.ntnu.no

## License

The content of this project is licensed under the [Creative Commons Attribution 4.0 International license (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/), and any source code used within is licensed under the [MIT license](https://opensource.org/licenses/MIT).
